# Open modified files
# ACMRU = Added || Copied || Modified || Renamed || Unmerged
# Edit all uncommitted files that have changes since the last commit (be they staged or unstaged)
function vd --wraps='nvim (git diff HEAD --name-only --diff-filter=ACMR)' --description 'alias vd=nvim (git diff HEAD --name-only --diff-filter=ACMR)'
    if not test -d .git
        echo "Not a git repository"
        return 0
    end

    nvim (git diff HEAD --name-only --diff-filter=ACMR) $argv
end
